GET /channelDisabledProducts

Get products marked out of stock.

Headers

  • Content-Type string

Query parameters

  • where string

    Default value is {"account":"{{accountId}}", "location":"{{locationId}}"}.

Responses

  • 200 application/json

    OK

  • default application/json

    default

    Hide headers attribute Show headers attribute
    • Content-Type string
GET /channelDisabledProducts
curl \
 --request GET 'https://api.staging.deliverect.com/channelDisabledProducts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json"
Response examples (200)
{
  "summary": "OK"
}
Response examples (default)
{
  "_items": [
    {
      "_id": "612***2cf",
      "_created": "2021-08-30T11:41:09.077000Z",
      "_updated": "2021-08-30T11:53:09.000000Z",
      "_etag": "19358d3fb0b1cdb2cf96fa71f7c21abda863b00f",
      "account": "60e***945",
      "channel": -1,
      "location": "60e***96a",
      "plu": "VAR-PROD-1",
      "name": "Pinapple pizza",
      "deliverectProductId": "610***b73",
      "snoozeStart": "2021-08-30T11:41:09Z",
      "snoozeEnd": "2021-08-30T11:53:09Z",
      "isBogof": false,
      "isInBundle": false,
      "channelLinks": [
        "60e***a37"
      ],
      "_links": {
        "self": {
          "title": "channelDisabledProducts",
          "href": "channelDisabledProducts/612***2cf"
        }
      }
    },
    {
      "_id": "612***298",
      "_created": "2021-08-30T14:31:19Z",
      "_updated": "2021-08-30T14:31:19Z",
      "_etag": "f839b4936adbaa034358bc669abe75cfdbb80964",
      "account": "60e***945",
      "channel": -1,
      "location": "60e***96a",
      "plu": "MOD555",
      "name": "Ice",
      "deliverectProductId": "612***e8d",
      "snoozeStart": "2021-08-30T14:31:19Z",
      "snoozeEnd": "2021-08-30T15:31:19Z",
      "isBogof": false,
      "isInBundle": false,
      "channelLinks": [
        "60e***a37",
        "612***204"
      ],
      "_links": {
        "self": {
          "title": "channelDisabledProducts",
          "href": "channelDisabledProducts/612***298"
        }
      }
    },
    {
      "_id": "613***6a3",
      "_created": "2021-09-03T13:09:48Z",
      "_updated": "2021-09-03T13:09:48Z",
      "_etag": "6f5e942de36140f6825c7f69695f94a464bcab4e",
      "account": "60e***945",
      "channel": -1,
      "location": "60e***96a",
      "plu": "PR2",
      "name": "Cola",
      "deliverectProductId": "60e4***f62",
      "snoozeStart": "2021-08-18T11:13:00Z",
      "snoozeEnd": "2021-09-03T13:17:48Z",
      "isBogof": false,
      "isInBundle": false,
      "channelLinks": [
        "60e***a37",
        "612***204",
        "613***31c"
      ],
      "_links": {
        "self": {
          "title": "channelDisabledProducts",
          "href": "channelDisabledProducts/613***6a3"
        }
      }
    }
  ],
  "_links": {
    "parent": {
      "title": "home",
      "href": "/"
    },
    "self": {
      "title": "channelDisabledProducts",
      "href": "channelDisabledProducts?where={ account: {{account_id}}, location: {{location_id}}"
    }
  },
  "_meta": {
    "page": 1,
    "max_results": 25,
    "total": 9
  }
}